<h4>Datos personales <small> Reactive </small></h4>
<hr>
<form autocomplete="off" [formGroup]="forma" (ngSubmit)="guardar()">

    <div formGroupName="datosPersonales">

        <div class="form-group row">
            <label class="col-3 col-form-label">Nombre Completo</label>

            <div class="col-6">
                <input class="form-control" type="text" placeholder="Nombre Completo" formControlName="nombre" [class.is-invalid]="nombreNoValido">
                <small *ngIf="nombreNoValido" class="text-danger">El campo nombre es obligatorio</small>
            </div>
        </div>

        <div class="form-group row">
            <label class="col-3 col-form-label">Número de identificación</label>
            <div class="col-6">

                <input class="form-control" type="text" placeholder="Número de identificación" formControlName="identificacion" [class.is-invalid]="identificacionNoValida">
                <small *ngIf="identificacionNoValida" class="text-danger"> Caracteres inválidos<br> Debe ingresar minimo 6 caracteres</small>
            </div>
        </div>

        <div class=" form-group row ">
            <label class="col-3 col-form-label ">Celular</label>
            <div class="col-6 ">

                <input class="form-control " type="text " placeholder="Celular " formControlName="celular" [class.is-invalid]="celularNoValido">
                <small *ngIf="celularNoValido" class="text-danger">Caracteres inválidos <br> Debe ingresar mínimo 10 caracteres</small>
            </div>
        </div>

        <div class=" form-group row ">
            <label class="col-3 col-form-label ">Correo</label>
            <div class="col-6 ">

                <input class="form-control " type="email " placeholder="Correo electrónico " formControlName="correo" [class.is-invalid]="correoNoValido">
                <small *ngIf="correoNoValido" class="text-danger">Debe ingresar caracteres válidos de un correo</small>
            </div>
        </div>

        <div class=" form-group row ">
            <label class="col-3 col-form-label ">Contraseña</label>

            <div class="col-6 ">
                <input class="form-control " type="password" placeholder="Contraseña " formControlName="contrasena" [class.is-invalid]="contrasenaNoValida">
                <small *ngIf="contrasenaNoValida" class="text-danger">Debe ingresar mínimo 8 caracteres</small>
            </div>
        </div>

    </div>
    <br>

    <h4>Datos de Residencia</h4>
    <hr>
    <div formGroupName="residencia">

        <div class=" form-group row ">
            <label class="col-3 col-form-label ">Departamento</label>

            <div class="col-6 ">
                <input class="form-control " type="text " placeholder="Departamento" formControlName="departamento" [class.is-invalid]="departamentoNoValido">
                <small *ngIf="departamentoNoValido" class="text-danger">El campo departamento es obligatorio</small>
            </div>
        </div>

        <div class="form-group row ">
            <label class="col-3 col-form-label ">Ciudad</label>
            <div class="col-6 ">

                <input class="form-control " type="text " placeholder="Ciudad" formControlName="ciudad" [class.is-invalid]="ciudadNoValida">
                <small *ngIf="ciudadNoValida" class="text-danger">El campo ciudad es obligatorio</small>
            </div>
        </div>

        <div class="form-group row ">
            <label class="col-3 col-form-label ">Barrio</label>
            <div class="col-6 ">

                <input class="form-control " type="text " placeholder="Barrio" formControlName="barrio" [class.is-invalid]="barrioNoValido">
                <small *ngIf="barrioNoValido" class="text-danger">El campo barrio es obligatorio</small>
            </div>
        </div>

        <div class="form-group row ">
            <label class="col-3 col-form-label ">Dirección</label>
            <div class="col-6 ">

                <input class="form-control " type="text" placeholder="Dirección de Residencia" formControlName="direccion" [class.is-invalid]="direccionNoValida">
                <small *ngIf="direccionNoValida" class="text-danger">El campo direccion es obligatorio</small>
            </div>
        </div>

    </div>
    <br>

    <h4>Datos Financieros</h4>
    <hr>
    <div formGroupName="datosFinancieros">

        <div class="form-group row ">
            <label class="col-3 col-form-label">Salario</label>

            <div class="col-6 ">
                <input class="form-control " type="number " placeholder="Salario" formControlName="salario" [class.is-invalid]="salarioNoValido">
                <small *ngIf="salarioNoValido" class="text-danger">El campo salario es obligatorio</small>
            </div>
        </div>

        <div class="form-group row ">
            <label class="col-3 col-form-label ">Otros ingresos</label>
            <div class="col-6 ">

                <input class="form-control " type="number " placeholder="Otros ingresos" formControlName="otrosIngresos" [class.is-invalid]="ingresosNoValido">
                <small *ngIf="ingresosNoValido" class="text-danger">Caracteres inválidos</small>
            </div>
        </div>

        <div class="form-group row ">
            <label class="col-3 col-form-label ">Gastos Mensuales</label>
            <div class="col-6 ">

                <input class="form-control " type="number " placeholder="Gastos mensuales" formControlName="gastosMensuales" [class.is-invalid]="mensualesNoValido">
                <small *ngIf="mensualesNoValido" class="text-danger">El campo es obligatorio</small>
            </div>
        </div>

        <div class="form-group row ">
            <label class="col-3 col-form-label ">Gastos Financieros</label>
            <div class="col-6 ">

                <input class="form-control " type="text " placeholder="Gastos financieros" formControlName="gastosFinancieros" [class.is-invalid]="financierosNoValido">
                <small *ngIf="financierosNoValido" class="text-danger">Caracteres Inválidos</small>
            </div>
        </div>

    </div>
    <br>

    <div class="form-group row ">
        <label class="col-2 col-form-label ">&nbsp;<a [routerLink]="['/login']" class="btn btn-secondary">Volver</a></label>
        <div class="input-group col-md-8 ">
            <button type="submit " class="btn btn-primary btn-block col-6 ">
        Guardar
      </button>
        </div>
    </div>
</form>